@echo off
title Windows 7(x64) USB Patch for Braswell SoC

cd /d %~dp0

set SOURCE_INSTALLWIM=%~d0\sources\install.wim
set SOURCE_BOOTWIM=%~d0\sources\boot.wim
set SOURCE_EICFG=%~d0\sources\ei.cfg
set DRIVER_DIR=%~dp0usb3driver

if not exist %SOURCE_INSTALLWIM% goto Error
if not exist %SOURCE_BOOTWIM% goto Error
if not exist %SOURCE_EICFG% goto Error

:Makemountdir
set MOUNT_DIR=%temp%\mount%RANDOM%
if exist %MOUNT_DIR% goto Makemountdir
mkdir %MOUNT_DIR%

for /f "usebackq skip=1 delims= eol=" %%s in ("%SOURCE_EICFG%") do @(
    set WIN7EDITION=%%s
    goto Break;
)
:Break

dism /mount-wim /wimfile:"%SOURCE_INSTALLWIM%" /name:"Windows 7 %WIN7EDITION%" /mountdir:"%MOUNT_DIR%"
dism /add-driver /image:"%MOUNT_DIR%" /driver:"%DRIVER_DIR%" /recurse
dism /unmount-wim /mountdir:"%MOUNT_DIR%" /commit

dism /mount-wim /wimfile:"%SOURCE_BOOTWIM%" /index:1 /mountdir:"%MOUNT_DIR%"
dism /add-driver /image:"%MOUNT_DIR%" /driver:"%DRIVER_DIR%" /recurse
dism /unmount-wim /mountdir:"%MOUNT_DIR%" /commit

dism /mount-wim /wimfile:"%SOURCE_BOOTWIM%" /index:2 /mountdir:"%MOUNT_DIR%"
dism /add-driver /image:"%MOUNT_DIR%" /driver:"%DRIVER_DIR%" /recurse
dism /unmount-wim /mountdir:"%MOUNT_DIR%" /commit

rmdir /s /q "%MOUNT_DIR%"
goto End

:Error
echo.
echo G[FKvȃt@C܂

:End
echo.
echo L[ƃEBhE܂
pause > nul
